> For the complete documentation index, see [llms.txt](https://docs.developers.symphony.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.developers.symphony.com/bots/messages/overview-of-messageml/messageml-basic-format-tags/date-and-time.md).

# Date and time

You can display a date, time or datetime to your user taking into account your user's date/time formats, as well as their timezone using the dateTime element.

{% hint style="warning" %}
Supported on Android starting with the release of the Symphony Messsaging Mobile App v26.10. Support for iOS will be available in a later version.
{% endhint %}

## Tags

| Tags                                                                          | Description                                                                       | Attributes                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| ----------------------------------------------------------------------------- | --------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `<dateTime value="2024-12-31T09:29:47Z" format="date \| time \| time_secs"/>` | Display a date or time to the user, taking into account the user locale timezone. | <ul><li>value (required): ISO-8601 or UTC timestamp.</li><li><p>format:</p><ul><li>date\_time: date + time format based on user settings and user timezone. Default value if no format is provided</li><li>date : ddMMyyyy with format based on user settings (DD/MM/YYYY, MM/DD/YYYY, YYYY/MM/DD) and user timezone</li><li>time : hhmm with format based on user settings (12h / 24h) and user timezone</li><li>time\_secs : hhmmss with format based on user settings (12h / 24h) and user timezone</li></ul></li></ul> |

{% hint style="info" %}
This element is read-only - if you want an interactive element instead, you can use a [Date Picker](/bots/messages/overview-of-messageml/symphony-elements-1/date-picker.md) or [Time Picker](/bots/messages/overview-of-messageml/symphony-elements-1/time-picker.md) in a chat.
{% endhint %}

## Versions and Compatibility

| Main features introduced | Agent needed to parse message sent by the bot |
| ------------------------ | --------------------------------------------- |
| Initial release          | Agent 25.6                                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.developers.symphony.com/bots/messages/overview-of-messageml/messageml-basic-format-tags/date-and-time.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
